Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Interface AssertionResult.IUsernameStage

All Known Implementing Classes:
  `AssertionResult.Builder`

Enclosing class:
  AssertionResult

public static interface AssertionResult.IUsernameStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`AssertionResult.ISignatureCounterValidStage`
`withUsername(String username)`
Set the user.name of the authenticated user.

## Method Details

### withUsername

AssertionResult.ISignatureCounterValidStage withUsername(String username)
Set the user.name of the authenticated user.

Parameters:
  `username` - the user.name
Returns:
  the next stage